Rank the agents that worked on a repository's files or paths
curl --request POST \
--url https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branch": "<string>",
"evidence_limit": 4,
"limit": 19,
"query": "<string>",
"scopes": [
"<string>"
]
}
'import requests
url = "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts"
payload = {
"branch": "<string>",
"evidence_limit": 4,
"limit": 19,
"query": "<string>",
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: '<string>',
evidence_limit: 4,
limit: 19,
query: '<string>',
scopes: ['<string>']
})
};
fetch('https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'branch' => '<string>',
'evidence_limit' => 4,
'limit' => 19,
'query' => '<string>',
'scopes' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts"
payload := strings.NewReader("{\n \"branch\": \"<string>\",\n \"evidence_limit\": 4,\n \"limit\": 19,\n \"query\": \"<string>\",\n \"scopes\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"branch\": \"<string>\",\n \"evidence_limit\": 4,\n \"limit\": 19,\n \"query\": \"<string>\",\n \"scopes\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"branch\": \"<string>\",\n \"evidence_limit\": 4,\n \"limit\": 19,\n \"query\": \"<string>\",\n \"scopes\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"branch": "<string>",
"profiles": [
{
"agent_id": "<string>",
"agent_label": "<string>",
"attribution_agent_lines": 123,
"attribution_total_committed": 123,
"checkpoint_count": 123,
"exact_file_matches": 123,
"files_changed": 123,
"labels": [
{
"count": 123,
"name": "<string>"
}
],
"last_activity_at": "<string>",
"matched_files": [
"<string>"
],
"mcp_servers": [
{
"count": 123,
"name": "<string>"
}
],
"models": [
"<string>"
],
"prefix_file_matches": 123,
"raw_agents": [
"<string>"
],
"session_count": 123,
"sessions": [
{
"agent": "<string>",
"checkpoint_count": 123,
"checkpoint_ids": [
"<string>"
],
"display_name": "<string>",
"exact_file_matches": 123,
"last_activity_at": "<string>",
"matched_files": [
"<string>"
],
"model": "<string>",
"prefix_file_matches": 123,
"session_id": "<string>",
"step_count": 123,
"attribution_agent_lines": 123,
"attribution_total_committed": 123
}
],
"skills": [
{
"count": 123,
"name": "<string>"
}
],
"step_count": 123,
"tool_mix": [
{
"count": 123,
"name": "<string>"
}
],
"transcript_tokens": 123
}
],
"query": "<string>",
"repo_full_name": "<string>",
"scopes": [
"<string>"
],
"source": "<string>",
"$schema": "/api/v1/schemas/ExpertsOutputBody.json"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}Experts
Rank the agents that worked on a repository's files or paths
Ranks the coding agents that worked on specific parts of a repository, with supporting evidence. You describe the code either as explicit paths or as a natural-language topic, but not both; the natural-language form needs a code-search index and is unavailable where none is configured.
POST
/
repos
/
{repo_id}
/
experts
Rank the agents that worked on a repository's files or paths
curl --request POST \
--url https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"branch": "<string>",
"evidence_limit": 4,
"limit": 19,
"query": "<string>",
"scopes": [
"<string>"
]
}
'import requests
url = "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts"
payload = {
"branch": "<string>",
"evidence_limit": 4,
"limit": 19,
"query": "<string>",
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
branch: '<string>',
evidence_limit: 4,
limit: 19,
query: '<string>',
scopes: ['<string>']
})
};
fetch('https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'branch' => '<string>',
'evidence_limit' => 4,
'limit' => 19,
'query' => '<string>',
'scopes' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts"
payload := strings.NewReader("{\n \"branch\": \"<string>\",\n \"evidence_limit\": 4,\n \"limit\": 19,\n \"query\": \"<string>\",\n \"scopes\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"branch\": \"<string>\",\n \"evidence_limit\": 4,\n \"limit\": 19,\n \"query\": \"<string>\",\n \"scopes\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/experts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"branch\": \"<string>\",\n \"evidence_limit\": 4,\n \"limit\": 19,\n \"query\": \"<string>\",\n \"scopes\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"branch": "<string>",
"profiles": [
{
"agent_id": "<string>",
"agent_label": "<string>",
"attribution_agent_lines": 123,
"attribution_total_committed": 123,
"checkpoint_count": 123,
"exact_file_matches": 123,
"files_changed": 123,
"labels": [
{
"count": 123,
"name": "<string>"
}
],
"last_activity_at": "<string>",
"matched_files": [
"<string>"
],
"mcp_servers": [
{
"count": 123,
"name": "<string>"
}
],
"models": [
"<string>"
],
"prefix_file_matches": 123,
"raw_agents": [
"<string>"
],
"session_count": 123,
"sessions": [
{
"agent": "<string>",
"checkpoint_count": 123,
"checkpoint_ids": [
"<string>"
],
"display_name": "<string>",
"exact_file_matches": 123,
"last_activity_at": "<string>",
"matched_files": [
"<string>"
],
"model": "<string>",
"prefix_file_matches": 123,
"session_id": "<string>",
"step_count": 123,
"attribution_agent_lines": 123,
"attribution_total_committed": 123
}
],
"skills": [
{
"count": 123,
"name": "<string>"
}
],
"step_count": 123,
"tool_mix": [
{
"count": 123,
"name": "<string>"
}
],
"transcript_tokens": 123
}
],
"query": "<string>",
"repo_full_name": "<string>",
"scopes": [
"<string>"
],
"source": "<string>",
"$schema": "/api/v1/schemas/ExpertsOutputBody.json"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}Authorizations
oauth2bearerAuth
OAuth 2.0 authorization code flow.
Path Parameters
Body
application/json
Restrict to checkpoints linked on this branch.
Max evidence sessions per profile (1-5, default 3).
Required range:
x <= 5Max profiles (1-20, default 8).
Required range:
x <= 20Natural-language topic (requires code search). Provide scopes OR query.
Path scopes (a file or a directory prefix). Provide scopes OR query.
Maximum array length:
25Response
OK
Was this page helpful?